Subject: bug#66125: closed (Re: bug#66125: 29.1; configure --with-small-ja-dic has no effect)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Sep 2023 12:35:03 +0000

Your bug report

#66125: 29.1; configure --with-small-ja-dic has no effect

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66125: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66125
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66125: 29.1; configure --with-small-ja-dic has no effect
From: Eli Zaretskii <[email-masked]>
To: Ulrich Mueller <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Sep 2023 15:33:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 23 Sep 2023 23:29:33 +0200
> 
> >>>>> On Sat, 23 Sep 2023, Eli Zaretskii wrote:
> 
> >> > (The "if test" part of the new target's rules could be updated to
> >> > check that the small-ja-dic-option file exists, and generate a
> >> > non-empty file if not.)
> >> 
> >> IMHO this would be cleaner.
> 
> > Can you try that and see if there are no other issues?
> 
> I did some tests and ended up replacing the small-ja-dic-option recipe
> in leim/Makefile.in with something very simple:
> 
> # This is used to support regeneration of ja-dic when the SMALL_JA_DIC
> # option is flipped by the configure-time option.
> small-ja-dic-option: ../config.status
> 	$(AM_V_GEN)echo "small ja-dic option: $(SMALL_JA_DIC)" > $@.$$$$ && \
> 	${top_srcdir}/build-aux/move-if-change $@.$$$$ $@
> 
> AFAICS this does what is intended, i.e. the detour via recording the
> option in ja-dic.el isn't even needed.

Thanks, I went with your suggestion in leim/Makefile.in.  But I kept
the recording of the value in ja-dic.el, as I think it's a good idea
nonetheless, for future investigations of possible issues.

And with that, I'm closing the bug.

Subject: 29.1; configure --with-small-ja-dic has no effect
From: Ulrich Mueller <[email-masked]>
To: [email-masked]
Date: Wed, 20 Sep 2023 18:16:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The --with-small-ja-dic configure option of Emacs 29.1 seems to have no
effect.

Actual result:
It will still install the large version of the dictionary, with a size
of almost 5 MB:

$ ls -l /usr/share/emacs/29.1/lisp/leim/ja-dic/
total 9120
-rw-r--r-- 1 ulm users 4798823 Jul 23 10:11 ja-dic.el
-rw-r--r-- 1 ulm users 4535697 Jul 23 10:11 ja-dic.elc

By their date, these are presumably the pre-built files from the
distribution tarball.

Expected result:
A smaller-size Japanese dictionary (about 2.2 MB) should be installed,
as the configure option says.